<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgJoomsuite_content_fieldsBarcode extends JPlugin
{
	function plgJoomsuite_content_fieldsBarcode( &$subject, $params )
	{
		parent::__construct( $subject, $params );
	}

	function onRenderField( &$obj, &$params, $type)
	{
		if($type != 'barcode') return;
		
		$def = JRequest::getVar('fields', null, 'default', 'array');
		if($def[$obj->id]) $obj->field_value = $def[$obj->id];

		?>
			<input type="text"  style="width:<?php echo $params->get('field_size')?>" name="fields[<?php echo $obj->id?>]" value="<?php echo stripslashes($obj->field_value) ?>"/>
		<?php
	}

	function onBeforeSave(&$value, &$params, $type, $id, $row, &$error)
	{
		if($type != 'barcode') return;
		if(!$value) return;

		$db = &JFactory::getDBO();
		$value = $db->getEscaped(trim($value));
	}
	
	function onRenderFieldValue(&$out, &$field, &$record, $category)
	{
		$type = $field->type;
		
		if($type != 'barcode') return;
		if(!$field->field_value) return;
		
		$params = new JParameter($field->params);
		$user = $record->user_id;
		
		$encoding	= $params->get('type', 8);
		$checksum	= $params->get('checksum', 0);
		$notext		= $params->get('notext', 0);
		$scale		= $params->get('scale', 1.0);
		$vertical	= $params->get('vertical', 0);
		$showframe	= $params->get('showframe', 0);
		$height		= $params->get('height', 70);
		$modwidth	= $params->get('modwidth', 1);
		$align		= $params->get('align', 'baseline');
		
		$url = JURI::root()."plugins/joomsuite_content_fields/barcode_draw.php?str={$field->field_value}";
		$url .= "&checksum={$checksum}";
		$url .= "&notext={$notext}";
		$url .= "&scale={$scale}";
		$url .= "&vertical={$vertical}";
		$url .= "&showframe={$showframe}";
		$url .= "&height={$height}";
		$url .= "&modwidth={$modwidth}";
		$url .= "&encoding={$encoding}";
		
		$out = JHTML::image($url, $field->field_value, array('align' => $align, 'border' => 0));
	}
}
?>